Subject: Re: bug#43696: Hyperbole recursive directory grep, not giving expected result

From: Robert Weiner <[email-masked]>
Date: Wed, 30 Sep 2020 00:24:27 -0400

On Tue, Sep 29, 2020 at 3:08 AM Jean Louis <[email-masked]> wrote:

> I was trying out this paragraph from DEMO file:
>
> > The output of `grep -n', the UNIX line pattern matcher, can be activated
> as
> > buttons that jump to each matched line within its source file; use {M-x
> grep
> > RET} or even better, the Hyperbole recursive directory grep, {C-h h f g}.
>

{C-h h f g} works fine here.

>
> It does not do what is expected, for example if I write "facebook" in
> elpa/hyperbole directory, it will not give me any results, if I do
> classic grep, it gives me result
>

Are you saying you are in a buffer whose default-directory is the
elpa/hyperbole directory and your grep returns no results?  If so, I don't
see that problem with 7.1.3.

>
> Suggestion:
>
> The minibuffer description: Rgrep below current dir... could actually
> show the current dir to the user.
>

Maybe except long paths would likely get in the way.
Bob